package com.ruoyi.ibs.customerselect.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class ListSelectForUserExportMerchant {



    /** 清单来源 */
    @Excel(name = "清单来源",readConverterExp = "0=总行,1=支行")
    private String createRole;

    /** 清单名称 */
    @Excel(name = "清单名称")
    private String groupName;


    /** 关联活动名称 */
    @Excel(name = "任务名称")
    private String campaignName;

    /** 客户号 */
    @Excel(name = "客户号")
    private String custId;

    /** 客户名 */
    @Excel(name = "商户名称")
    private String custName;

    /** 经营者名称 */
    @Excel(name = "经营者姓名")
    private String lpName;

    /** 客户手机号 */
    @Excel(name = "经营者手机号")
    private String custPhone;


    /** 社会统一编码 */
    @Excel(name = "证件号")
    private String socialCreditCode;

    /** 客户内码 */
    @Excel(name = "客户内码")
    private String custIsn;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 紧急程度 */
    @Excel(name = "紧急程度")
    private String campaignDegree;


    /** 分配机构名称 */
    @Excel(name = "推送支行")
    private String belongDept;

    /** 认领类型 */
    @Excel(name = "认领类型",readConverterExp = "0=强制认领,1=可选认领")
    private String claimType;

    /** 机构领取状态 */
    @Excel(name = "机构认领状态",readConverterExp = "0=待认领,1=已认领,/=/")
    private String orgClaimStatus;

    /** 机构分配状态 */
    @Excel(name = "机构分配状态",readConverterExp = "0=待分配,1=已分配,/=/")
    private String orgDistributeStatus;

    /** 客户经理分配状态 */
    @Excel(name = "客户经理分配状态",readConverterExp = "0=待分配,1=已分配")
    private String custClaimStatus;


    /** 所属客户经理（导出） */
    @Excel(name = "推送客户经理")
    private String userName;

    /** 所属网点（导出） */
    @Excel(name = "推送网点")
    private String outlets;
    @Excel(name = "考核目标")
    private String checkTarget;

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getLpName() {
        return lpName;
    }

    public void setLpName(String lpName) {
        this.lpName = lpName;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }


    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCampaignDegree() {
        return campaignDegree;
    }

    public void setCampaignDegree(String campaignDegree) {
        this.campaignDegree = campaignDegree;
    }

    public String getBelongDept() {
        return belongDept;
    }

    public void setBelongDept(String belongDept) {
        this.belongDept = belongDept;
    }

    public String getClaimType() {
        return claimType;
    }

    public void setClaimType(String claimType) {
        this.claimType = claimType;
    }

    public String getOrgClaimStatus() {
        return orgClaimStatus;
    }

    public void setOrgClaimStatus(String orgClaimStatus) {
        this.orgClaimStatus = orgClaimStatus;
    }

    public String getOrgDistributeStatus() {
        return orgDistributeStatus;
    }

    public void setOrgDistributeStatus(String orgDistributeStatus) {
        this.orgDistributeStatus = orgDistributeStatus;
    }

    public String getCustClaimStatus() {
        return custClaimStatus;
    }

    public void setCustClaimStatus(String custClaimStatus) {
        this.custClaimStatus = custClaimStatus;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getCheckTarget() {
        return checkTarget;
    }

    public void setCheckTarget(String checkTarget) {
        this.checkTarget = checkTarget;
    }
}
